Package twisted :: Package mail :: Module relay :: Class DomainQueuer

[frames | no frames]

## Class DomainQueuer

An SMTP domain which add messages to a queue intended for relaying.

Method Summary
| `__init__(self, service, authenticated)`
| ``exists`(self, user)` Check whether we will relay
| ``startMessage`(self, user)` Add envelope to queue and returns ISMTPMessage.
| ``willRelay`(self, address, protocol)` Check whether we agree to relay

Method Details

### exists(self, user)

Check whether we will relay

Call overridable willRelay method

### startMessage(self, user)

Add envelope to queue and returns ISMTPMessage.

### willRelay(self, address, protocol)

Check whether we agree to relay

The default is to relay for all connections over UNIX sockets and all connections from localhost.

Generated by Epydoc 2.0 on Sat May 15 20:08:15 2004 | http://epydoc.sf.net